This endpoint retrieves job history information for a specific employee.
https://api.employmenthero.com/api/v1/organisations/:organisation_id/employees/:employee_id/job_historiesPath Parameters
The ID of the organisation to retrieve
The ID of the employee to retrieve job history for
Query Parameters
Current page index
11Number of items per page
20100Response Body
A hash with a data property that contains an array of up to the limit of job history records. Each entry in the array is a separate job history object. If there is no job history record, the resulting array will be empty. Likewise, if the target employee is not a contractor, the array will likely be empty
The title of the job position.
Description of the service or role performed.
The date when the job position started.
The date when the job position ended.
The payment frequency for the position.
The name of the bank account.
The BSB (Bank State Branch) code for the bank account.
The bank account number.
The name of the bank.
The bank code identifier.
Additional description or notes about the job position.
The roll number for the bank account.
The country code where the bank is located (e.g., "AU" for Australia).
The specific branch of the bank.
Current page index
11Number of items per page
20100Total items
Total pages
Example
curl -X GET \ "https://api.employmenthero.com/api/v1/organisations/:organisation_id/employees/:employee_id/job_histories" \ -H "Authorization: Bearer AUXJ3123xyrj123fdsjkl124aAJKQ"Response
{ "data": { "items": [ { "service_description": "UX/UI content", "start_date": "2025-08-11", "end_date": "2025-08-12", "job_title": "Job history", "payment_term": "Fortnightly", "account_name": "AccountName", "bsb": "BSB", "account_number": "123123", "bank_name": "bank name", "bank_code": "bank code", "description": "description", "roll_number": "roll number", "bank_country": "AU", "bank_branch": "bank branch" } ], "page_index": 1, "item_per_page": 20, "total_items": 1, "total_pages": 1 }}